Skip to main content
Employee / Packages

Calculate potential package item end dates.

This method requires the EmployeePackageItems:Get permission to be associated with your role.

GET
/sp/employee/{driver_id}/end-dates
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
driver_idstringrequired

Driver Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
package_item_idstringqueryrequired

Package Item Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
start_datestringqueryrequired

Start Date

Maximum string length: 10
cyclesintegerquery

Cycles

Required range: 0 <= x <= 9999
pay_cycle_typeenum<string>query

(Optional) Pay Cycle Type. If not specified, will use package item default (if defined).

Available options: REG, REG12, 11MTHS
dates_to_calculateintegerquery

(Optional) End dates to calculate. If not specified, will use driver pay cycles per year.

Required range: 1 <= x <= 999

Response

application/vnd.catch-e-api.v1+json

Success

end_datesstring[]
Maximum array length: 1000